<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMRINEditView9Base from './emitemrinedit-view9-base.vue';

import view_form from '@widgets/emitem-rin/main2-form/main2-form.vue';

/**
 * 入库单信息
 *
 * @export
 * @class EMITEMRINEditView9
 * @extends {EMITEMRINEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMRINEditView9 extends EMITEMRINEditView9Base { }
</script>